#### D.12.7.8 maxabs

Procedure from library `rootsur.lib` (see rootsur_lib).

Usage:
  maxabs(p); poly p

Return:
  number: an upper bound for the largest absolute value of a root of p

Assume:
  p is a univariate polynomial with rational coefficients

Example:

    LIB "rootsur.lib";
    ring r = 0,x,dp;
    poly p = (x+2)*(x-1)*(x-5);
    maxabs(p);
    ==> 11

See also: sturm.

User manual for Singular version 4.4.1, 2025, generated by texi2html.